Dataset Splits

GET /api/v1/datasets/{dataset_id}/versions/{version_id}/labels/splits/{split_id}

Get Label Stats

Parameters

NameInTypeRequired
dataset_idpathstringtrue
version_idpathstringtrue
split_idpathstringtrue

Response

Type: []LabelStat

FieldTypeDescription
iduuid.UUID
created_attime.Time
updated_attime.Time
label_idstring
split_idstring
countint64
annotation_countint64
item_countint64

Example

curl -X GET \
  -H "Authorization: Bearer <token>" \
  https://api.seeme.ai/api/v1/datasets/{dataset_id}/versions/{version_id}/labels/splits/{split_id}

GET /api/v1/datasets/{dataset_id}/versions/{version_id}/labels/stats/splits/{split_id}

Get Item Count For Split

Parameters

NameInTypeRequired
dataset_idpathstringtrue
version_idpathstringtrue
split_idpathstringtrue

Response

Type: LabelStat

FieldTypeDescription
iduuid.UUID
created_attime.Time
updated_attime.Time
label_idstring
split_idstring
countint64
annotation_countint64
item_countint64

Example

curl -X GET \
  -H "Authorization: Bearer <token>" \
  https://api.seeme.ai/api/v1/datasets/{dataset_id}/versions/{version_id}/labels/stats/splits/{split_id}

GET /api/v1/datasets/{dataset_id}/versions/{version_id}/splits

Get Splits

Parameters

NameInTypeRequired
dataset_idpathstringtrue
version_idpathstringtrue

Response

Type: []DatasetSplit

FieldTypeDescription
iduuid.UUID
created_attime.Time
updated_attime.Time
namestring
descriptionstring
user_idstring
version_iduuid.UUID

Example

curl -X GET \
  -H "Authorization: Bearer <token>" \
  https://api.seeme.ai/api/v1/datasets/{dataset_id}/versions/{version_id}/splits

POST /api/v1/datasets/{dataset_id}/versions/{version_id}/splits

Create Split

Parameters

NameInTypeRequired
dataset_idpathstringtrue
version_idpathstringtrue

Request Body

Type: DatasetSplit

FieldTypeDescription
iduuid.UUID
created_attime.Time
updated_attime.Time
namestring
descriptionstring
user_idstring
version_iduuid.UUID

Response

Type: DatasetSplit

FieldTypeDescription
iduuid.UUID
created_attime.Time
updated_attime.Time
namestring
descriptionstring
user_idstring
version_iduuid.UUID

Example

curl -X POST \
  -H "Authorization: Bearer <token>" \
  -H "Content-Type: application/json" \
  -d '{}' \
  https://api.seeme.ai/api/v1/datasets/{dataset_id}/versions/{version_id}/splits

GET /api/v1/datasets/{dataset_id}/versions/{version_id}/splits/{id}

Get Split

Parameters

NameInTypeRequired
dataset_idpathstringtrue
version_idpathstringtrue
idpathstringtrue

Response

Type: DatasetSplit

FieldTypeDescription
iduuid.UUID
created_attime.Time
updated_attime.Time
namestring
descriptionstring
user_idstring
version_iduuid.UUID

Example

curl -X GET \
  -H "Authorization: Bearer <token>" \
  https://api.seeme.ai/api/v1/datasets/{dataset_id}/versions/{version_id}/splits/{id}

PUT /api/v1/datasets/{dataset_id}/versions/{version_id}/splits/{id}

Update Split

Parameters

NameInTypeRequired
dataset_idpathstringtrue
version_idpathstringtrue
idpathstringtrue

Request Body

Type: DatasetSplit

FieldTypeDescription
iduuid.UUID
created_attime.Time
updated_attime.Time
namestring
descriptionstring
user_idstring
version_iduuid.UUID

Response

Type: DatasetSplit

FieldTypeDescription
iduuid.UUID
created_attime.Time
updated_attime.Time
namestring
descriptionstring
user_idstring
version_iduuid.UUID

Example

curl -X PUT \
  -H "Authorization: Bearer <token>" \
  -H "Content-Type: application/json" \
  -d '{}' \
  https://api.seeme.ai/api/v1/datasets/{dataset_id}/versions/{version_id}/splits/{id}

DELETE /api/v1/datasets/{dataset_id}/versions/{version_id}/splits/{id}

Delete Split

Parameters

NameInTypeRequired
dataset_idpathstringtrue
version_idpathstringtrue
idpathstringtrue

Example

curl -X DELETE \
  -H "Authorization: Bearer <token>" \
  https://api.seeme.ai/api/v1/datasets/{dataset_id}/versions/{version_id}/splits/{id}

POST /api/v1/datasets/{dataset_id}/versions/{version_id}/splits/{id}/add_inferences

Create add From Inferences

Parameters

NameInTypeRequired
dataset_idpathstringtrue
version_idpathstringtrue
idpathstringtrue

Request Body

Type: AddInference

FieldTypeDescription
keep_annotationsbool
inferences[]Inference

Response

Type: AddInference

FieldTypeDescription
keep_annotationsbool
inferences[]Inference

Example

curl -X POST \
  -H "Authorization: Bearer <token>" \
  -H "Content-Type: application/json" \
  -d '{}' \
  https://api.seeme.ai/api/v1/datasets/{dataset_id}/versions/{version_id}/splits/{id}/add_inferences